(ns dateformat)

(defn convert-date [d input-format output-format]
  (let [date-in (if (= input-format "u")
                 (java.util.Date. (* 1000 (Long/valueOf d)))
                  (.parse (java.text.SimpleDateFormat. input-format) d))]
    (if (= output-format "u")
      (Math/round (float (/ (.getTime date-in) 1000)))
      (.format (java.text.SimpleDateFormat. output-format) date-in))))



(defn add-column [row key value]
  (assoc (into {} row) key value))

(defn link-table
  "Return the value mapped to key, not-found if the key is not present."
  [table key-col val-col keys not-found]
  (let [m-keys (map #(get % key-col) table)
        m-vals (map #(get %  val-col) table)
        m (zipmap m-keys m-vals)]
    (map #(get m % not-found) keys)))


;(def t [
;        {:date "mon" :prod 5}
;        {:date "tue" :prod 0}
;        {:date "thu" :prod 9}])

;(def keys ["mon" "tue" "wed" "thu"])
;(link-table t :date :prod keys -1)
